Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Errore chiave?
#1
Su ubuntu 16.04 quando provo ad aggiornare mi compare il seguente errore:
Codice:
W: http://archive.canonical.com/dists/precise/Release.gpg: Signature by key 630239CC130E1A7FD81A27B140976EAF437D05B5 uses weak digest algorithm (SHA1)
Ho fatto ricerca e malgrado questa guida (naturalmente ho anche cambiato il numero della chiave) non riesco a risolvere; qualche idea?
Grazie
Sconosco l'inglese e mi rifiuto di impararlo
Da solo avrò un'idea, in due potremmo averne tre, in tanti troveremo la soluzione migliore
Buona vita a tutti Heart
Cita messaggio
Grazie da:
#2
Se hai 16.04 dev rimuovere quel repo da sources list , è riferito a precise (12.04)

Posta
Codice:
cat -n /etc/apt/sources.list
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:
#3
Codice:
cat -n /etc/apt/sources.list
     1    # deb cdrom:[Ubuntu-GNOME 16.04 LTS _Xenial Xerus_ - Release amd64 (20160421)]/ xenial main multiverse restricted universe
     2    
     3    # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
     4    # newer versions of the distribution.
     5    deb http://mirror.crazynetwork.it/ubuntu/archive/ xenial main restricted
     6    
     7    ## Major bug fix updates produced after the final release of the
     8    ## distribution.
     9    deb http://mirror.crazynetwork.it/ubuntu/archive/ xenial-updates main restricted
    10    
    11    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    12    ## team, and may not be under a free licence. Please satisfy yourself as to
    13    ## your rights to use the software. Also, please note that software in
    14    ## universe WILL NOT receive any review or updates from the Ubuntu security
    15    ## team.
    16    deb http://mirror.crazynetwork.it/ubuntu/archive/ xenial universe
    17    # deb-src http://it.archive.ubuntu.com/ubuntu/ xenial universe
    18    deb http://mirror.crazynetwork.it/ubuntu/archive/ xenial-updates universe
    19    # deb-src http://it.archive.ubuntu.com/ubuntu/ xenial-updates universe
    20    
    21    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    22    ## team, and may not be under a free licence. Please satisfy yourself as to
    23    ## your rights to use the software. Also, please note that software in
    24    ## multiverse WILL NOT receive any review or updates from the Ubuntu
    25    ## security team.
    26    # deb-src http://it.archive.ubuntu.com/ubuntu/ xenial multiverse
    27    # deb-src http://it.archive.ubuntu.com/ubuntu/ xenial-updates multiverse
    28    
    29    ## N.B. software from this repository may not have been tested as
    30    ## extensively as that contained in the main release, although it includes
    31    ## newer versions of some applications which may provide useful features.
    32    ## Also, please note that software in backports WILL NOT receive any review
    33    ## or updates from the Ubuntu security team.
    34    
    35    ## Uncomment the following two lines to add software from Canonical's
    36    ## 'partner' repository.
    37    ## This software is not part of Ubuntu, but is offered by Canonical and the
    38    ## respective vendors as a service to Ubuntu users.
    39    deb http://archive.canonical.com/ubuntu xenial partner
    40    # deb-src http://archive.canonical.com/ubuntu xenial partner
    41    
    42    deb http://mirror.crazynetwork.it/ubuntu/archive/ xenial-security main restricted
    43    deb http://mirror.crazynetwork.it/ubuntu/archive/ xenial-security universe
    44    # deb-src http://security.ubuntu.com/ubuntu xenial-security universe
    45    # deb-src http://security.ubuntu.com/ubuntu xenial-security multiverse
    46    deb http://archive.canonical.com/ precise partner
    47    # deb-src http://archive.canonical.com/ precise partner
    48    ## Depôt MultiSystem
    49    deb http://liveusb.info/multisystem/depot all main
    50    # deb http://download.ebz.epson.net/dsc/op/stable/debian/ lsb3.2 main
nicolo@nicolo:~$
Sconosco l'inglese e mi rifiuto di impararlo
Da solo avrò un'idea, in due potremmo averne tre, in tanti troveremo la soluzione migliore
Buona vita a tutti Heart
Cita messaggio
Grazie da:
#4
Codice:
sudo -H gedit /etc/apt/sources.list
Cancella tutto e incolla queste, il server principale di xenial e rimossi i repo precise, ci metto anche il repo multisystem che ce l'hai già

Codice:
deb http://archive.ubuntu.com/ubuntu/ xenial main universe restricted multiverse
deb-src http://archive.ubuntu.com/ubuntu/ xenial main universe restricted multiverse

deb http://security.ubuntu.com/ubuntu xenial-security main universe restricted multiverse
deb-src http://security.ubuntu.com/ubuntu xenial-security main universe restricted multiverse

deb http://archive.ubuntu.com/ubuntu/ xenial-updates main universe restricted multiverse
deb-src http://archive.ubuntu.com/ubuntu/ xenial-updates main universe restricted multiverse

deb http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse

deb http://archive.canonical.com/ubuntu xenial partner
deb-src http://archive.canonical.com/ubuntu xenial partner

## Depôt MultiSystem
deb http://liveusb.info/multisystem/depot all main

fatta la modifica, salva il file e chiudilo e dai

Codice:
sudo apt update

e postalo, il repo multisystem potrebbe dare un errore sull'autenticazione della chiave, ma è normale se i manutentori non si sono adeguati al nuovo apt
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:
#5
Grazie adesso ho un problema di connessione, proverò appena potrò
Sconosco l'inglese e mi rifiuto di impararlo
Da solo avrò un'idea, in due potremmo averne tre, in tanti troveremo la soluzione migliore
Buona vita a tutti Heart
Cita messaggio
Grazie da:
#6
(12-07-2017,17:31 )tuxino Ha scritto:
Codice:
sudo -H gedit /etc/apt/sources.list
Cancella tutto e incolla queste, il server principale di xenial e rimossi i repo precise, ci metto anche il repo multisystem che ce l'hai già

Codice:
deb http://archive.ubuntu.com/ubuntu/ xenial main universe restricted multiverse
deb-src http://archive.ubuntu.com/ubuntu/ xenial main universe restricted multiverse

deb http://security.ubuntu.com/ubuntu xenial-security main universe restricted multiverse
deb-src http://security.ubuntu.com/ubuntu xenial-security main universe restricted multiverse

deb http://archive.ubuntu.com/ubuntu/ xenial-updates main universe restricted multiverse
deb-src http://archive.ubuntu.com/ubuntu/ xenial-updates main universe restricted multiverse

deb http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse

deb http://archive.canonical.com/ubuntu xenial partner
deb-src http://archive.canonical.com/ubuntu xenial partner

## Depôt MultiSystem
deb http://liveusb.info/multisystem/depot all main

fatta la modifica, salva il file e chiudilo e dai

Codice:
sudo apt update

e postalo, il repo multisystem potrebbe dare un errore sull'autenticazione della chiave, ma è normale se i manutentori non si sono adeguati al nuovo apt
Sconosco l'inglese e mi rifiuto di impararlo
Da solo avrò un'idea, in due potremmo averne tre, in tanti troveremo la soluzione migliore
Buona vita a tutti Heart
Cita messaggio
Grazie da:
#7
Non l'hai postato l'output...
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:
#8
(13-07-2017,07:26 )tuxino Ha scritto: Non l'hai postato l'output...
Si scusa hyo avuto problemi di connessione che sto risolvendo solo ora; sto provando adesso ad eseguire quello che mi hai suggerito appena completo faccio sapere.
Grazie
Sconosco l'inglese e mi rifiuto di impararlo
Da solo avrò un'idea, in due potremmo averne tre, in tanti troveremo la soluzione migliore
Buona vita a tutti Heart
Cita messaggio
Grazie da:
#9
Allora la situazione è questa: finito di eseguire le operazioni suggeritemi ho provato ad avviare il gestore pacchetti, mi è comparso un messaggio di errore nel quale si indicava come soluzione quella di eseguire
Codice:
dpkg --configure -a
l'ho fatto (ho dovuto farlo coi privilegi di amministratore) ed alla fine mi ha dato questo:
Codice:
sudo dpkg --configure -a
[sudo] password di nicolo:
Configurazione di update-notifier-common (3.168.4)...
flashplugin-installer: processing...
flashplugin-installer: downloading http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20170711.1.orig.tar.gz
Scaricamento di:1 http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20170711.1.orig.tar.gz [30,4 MB]
Recuperati 30,4 MB in 37s (813 kB/s)                                          
W: Can't drop privileges for downloading as file '/var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20170711.1.orig.tar.gz' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permesso negato)
Installing from local file /var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20170711.1.orig.tar.gz
Flash Plugin installed.
Configurazione di oracle-java9-installer (9b175-1~webupd8~0)...
Using wget settings from /var/cache/oracle-jdk9-installer/wgetrc
Downloading Oracle Java 9...
--2017-07-13 09:34:25--  http://download.java.net/java/jdk9/archive/175/binaries/jdk-9+175_linux-x64_bin.tar.gz
Risoluzione di download.java.net (download.java.net)... 2.20.251.41, 2.20.251.8
Connessione a download.java.net (download.java.net)|2.20.251.41|:80... connesso.
Richiesta HTTP inviata, in attesa di risposta... 404 Not Found
2017-07-13 09:34:26 ERRORE 404: Not Found.

download failed
Oracle JDK 9 is NOT installed.
dpkg: errore nell'elaborare il pacchetto oracle-java9-installer (--configure):
il sottoprocesso installato script di post-installation ha restituito lo stato di errore 1
Configurazione di flashplugin-installer (26.0.0.137ubuntu0.16.04.1)...
Si sono verificati degli errori nell'elaborazione:
oracle-java9-installer
Mi pare di capire che ci siano problemi con java 9 e non so, dovrei verificare, se effettivamente mi serve per qualche applicazione (sono titolare di uno studio legale e utilizzo software particolari per fima digitale e altro).
Successivamente ho eseguito l'aggiornamento e mi da tutto ok (lo strano messaggio inerente, mi pare, la chiave mancante, è scomparso).
Qquindi per ora direi che funziona e come da regola aurea "se funziona non toccare".
Grazie di cuore Heart Heart Heart
Sconosco l'inglese e mi rifiuto di impararlo
Da solo avrò un'idea, in due potremmo averne tre, in tanti troveremo la soluzione migliore
Buona vita a tutti Heart
Cita messaggio
Grazie da:
#10
Di Java non ne so niente, ma mi pare che hai uno script che punta allo scaricamento con wget ma il sito non esiste e hai l'errore in fondo, prova
Codice:
sudo rm /var/lib/dpkg/info/oracle-java9-installer.postinst
E poi
Codice:
sudo apt install -f
e postalo
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)